import Header from ".";
import { ThemeProvider } from "@/app/context/index";
export default {
  title: "Base/Header",
  component: Header,
  decorators: [
    (Story) => (
      <ThemeProvider>
        <Story />
      </ThemeProvider>
    ),
  ],
  argTypes: {
    onThemeChange: { actions: "onThemeChange" },
    onSearch: { actions: "onSearch" },
    onClose: { actions: "onClose" },
  },
};

export const header = {
  args: {
    name: "NewsBlog",
  },
};
